package com.chenyang.nse.bussiness.jar.db;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_CLIENT_IP_CONTROLLED"
)
public class TCoreClientIpControlled extends TBaseEntity {
   @Column(
      length = 50
   )
   private int type;
   @Column(
      length = 50
   )
   private int is_delete;
   @Column(
      length = 50
   )
   private String content;
   @Column(
      length = 50
   )
   private String is_equals;
   @Column(
      length = 50
   )
   private String project_id;

   public int getType() {
      return this.type;
   }

   public int getIs_delete() {
      return this.is_delete;
   }

   public String getContent() {
      return this.content;
   }

   public String getIs_equals() {
      return this.is_equals;
   }

   public String getProject_id() {
      return this.project_id;
   }

   public void setType(final int type) {
      this.type = type;
   }

   public void setIs_delete(final int is_delete) {
      this.is_delete = is_delete;
   }

   public void setContent(final String content) {
      this.content = content;
   }

   public void setIs_equals(final String is_equals) {
      this.is_equals = is_equals;
   }

   public void setProject_id(final String project_id) {
      this.project_id = project_id;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof TCoreClientIpControlled)) {
         return false;
      } else {
         TCoreClientIpControlled other = (TCoreClientIpControlled)o;
         if (!other.canEqual(this)) {
            return false;
         } else if (this.getType() != other.getType()) {
            return false;
         } else if (this.getIs_delete() != other.getIs_delete()) {
            return false;
         } else {
            Object this$content = this.getContent();
            Object other$content = other.getContent();
            if (this$content == null) {
               if (other$content != null) {
                  return false;
               }
            } else if (!this$content.equals(other$content)) {
               return false;
            }

            Object this$is_equals = this.getIs_equals();
            Object other$is_equals = other.getIs_equals();
            if (this$is_equals == null) {
               if (other$is_equals != null) {
                  return false;
               }
            } else if (!this$is_equals.equals(other$is_equals)) {
               return false;
            }

            Object this$project_id = this.getProject_id();
            Object other$project_id = other.getProject_id();
            if (this$project_id == null) {
               if (other$project_id != null) {
                  return false;
               }
            } else if (!this$project_id.equals(other$project_id)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof TCoreClientIpControlled;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      result = result * 59 + this.getType();
      result = result * 59 + this.getIs_delete();
      Object $content = this.getContent();
      result = result * 59 + ($content == null ? 43 : $content.hashCode());
      Object $is_equals = this.getIs_equals();
      result = result * 59 + ($is_equals == null ? 43 : $is_equals.hashCode());
      Object $project_id = this.getProject_id();
      result = result * 59 + ($project_id == null ? 43 : $project_id.hashCode());
      return result;
   }

   public String toString() {
      return "TCoreClientIpControlled(type=" + this.getType() + ", is_delete=" + this.getIs_delete() + ", content=" + this.getContent() + ", is_equals=" + this.getIs_equals() + ", project_id=" + this.getProject_id() + ")";
   }
}
